Community Packages

Please read this before reporting a bug:
http://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in Unsupported. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#62242 - [mcomix] Python2-pillow 6.0 breaks the program

Attached to Project: Community Packages
Opened by Timo Thurow (Timo_Thurow) - Friday, 05 April 2019, 19:40 GMT
Last edited by Balló György (City-busz) - Friday, 05 April 2019, 21:18 GMT
Task Type Bug Report
Category Packages
Status Assigned
Assigned To Jakob Gruber (schuay)
Architecture All
Severity High
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 0%
Votes 6
Private No

Details

Description:
The update from python2-pillow 5.4.1-1 to python2-pillow 6.0.0-1 breaks the program because of a missing attribute.
https://github.com/python-pillow/Pillow/blob/master/docs/deprecations.rst#version-constant indicates that the attribute had been renamed from VERSION to __version__.
Downgrade to pillow 5.4.1-1 fixes the Problem.

Additional info:
Console output:
Traceback (most recent call last):
File "/usr/bin/mcomix", line 11, in <module>
load_entry_point('mcomix==1.2.1', 'console_scripts', 'mcomix')()
File "/usr/lib/python2.7/site-packages/mcomix/run.py", line 206, in run
assert PIL.Image.VERSION >= '1.1.5'
AttributeError: 'module' object has no attribute 'VERSION'

Steps to reproduce:
-Upgrade to python2-pillow 6.0.0-1
-Try to run mcomix
This task depends upon

Comment by RoundCube (RoundCube) - Sunday, 07 April 2019, 15:43 GMT
Changing to __version__ indeed let's the program launch again.
Comment by Kakashi (Kakashi) - Sunday, 07 April 2019, 23:06 GMT
Using mcomix-git also fixes the problem, which I assume has the fix already detailed in here?
Comment by loqs (loqs) - Sunday, 07 April 2019, 23:52 GMT Comment by André Fettouhi (A.Fettouhi) - Monday, 15 April 2019, 20:00 GMT
Can confirm that changing the

assert PIL.Image.VERSION >= '1.1.5'

to

assert PIL.Image.__version__ >= '1.1.5'

makes mcomix run again.

Loading...